Debian Bug report logs - #356207
maildirsync: failed to sync some mails

version graph

Package: maildirsync; Maintainer for maildirsync is Carlos Alberto Silombria Ibarra <silverdog@gmail.com>; Source for maildirsync is src:maildirsync.

Reported by: Jean-Francois Lalande <jean-francois.lalande@ensi-bourges.fr>

Date: Fri, 10 Mar 2006 12:48:04 UTC

Severity: important

Tags: patch

Found in version maildirsync/1.1-1

Fixed in version maildirsync/1.2-1

Done: Carlos Alberto Silombria Ibarra <silverdog@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to dLux (Szabó, Balázs) <dlux@dlux.hu>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Per Olofsson <pelle@debian.org>:
Bug#356207; Package maildirsync. Full text and rfc822 format available.

Acknowledgement sent to Jean-Francois Lalande <jean-francois.lalande@ensi-bourges.fr>:
New Bug report received and forwarded. Copy sent to Per Olofsson <pelle@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jean-Francois Lalande <jean-francois.lalande@ensi-bourges.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: maildirsync: failed to sync some mails
Date: Fri, 10 Mar 2006 13:37:33 +0100
Package: maildirsync
Version: 1.1-1
Severity: important

Hi,

I don't know really if I found a bug, but I tried to use maildirsync and
encountered the following problem:

for a file like:

1138784361.8938_2.lalande:2,S

the script copy the file to the target. But when the file is like:

1131005341_4.954.lalande,U=2856,FMD5=9eed012cc11add692b0387ebbd5c7472:2,S

the file is ignored. And also, for the files:

jf-8164-5:2,S

they are also ignored.

I looked the script and especially the line:

my ($message_id) = $path =~ m{.*/(\d+\..*?\.[[:alnum:]._-]+(?:[,=].*?)?)(?:
\:.*)?$}

trying to modify it to accept the name of my files, but it's really complex 
to understand the code...

Have you any idea of a solution about this ?

Thanks a lot for you work and I apologize for the trouble I should cause.

Regards,

Jean-Francois Lalande.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (99, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)

Versions of packages maildirsync depends on:
ii  perl                          5.8.7-10   Larry Wall's Practical Extraction 

Versions of packages maildirsync recommends:
ii  openssh-client [rsh-client]   1:4.2p1-5  Secure shell client, an rlogin/rsh
ii  ssh                           1:4.2p1-5  Secure shell client and server (tr

-- no debconf information



Noted your statement that Bug has been forwarded to dLux (Szabó, Balázs) <dlux@dlux.hu>. Request was from "Jose Carlos Medeiros" <jose@psabs.com.br> to control@bugs.debian.org. (Wed, 18 Jun 2008 18:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#356207; Package maildirsync. (Sun, 24 Jan 2010 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gian Piero Carrubba <gpiero@rm-rf.it>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. (Sun, 24 Jan 2010 23:33:03 GMT) Full text and rfc822 format available.

Message #12 received at 356207@bugs.debian.org (full text, mbox):

From: Gian Piero Carrubba <gpiero@rm-rf.it>
To: 356207@bugs.debian.org
Subject: Re: maildirsync: failed to sync some mails
Date: Sun, 24 Jan 2010 23:20:52 +0000
[Message part 1 (text/plain, inline)]
package maildirsync
tags 356207 patch
thanks

The attached patch should fix the reported problem.

Thanks,
Gian Piero.
[messagesFileName (text/plain, attachment)]

Added tag(s) patch. Request was from Gian Piero Carrubba <gpiero@rm-rf.it> to control@bugs.debian.org. (Sun, 24 Jan 2010 23:33:06 GMT) Full text and rfc822 format available.

Reply sent to Carlos Alberto Silombria Ibarra <silverdog@gmail.com>:
You have taken responsibility. (Wed, 31 Aug 2011 21:51:06 GMT) Full text and rfc822 format available.

Notification sent to Jean-Francois Lalande <jean-francois.lalande@ensi-bourges.fr>:
Bug acknowledged by developer. (Wed, 31 Aug 2011 21:51:06 GMT) Full text and rfc822 format available.

Message #19 received at 356207-close@bugs.debian.org (full text, mbox):

From: Carlos Alberto Silombria Ibarra <silverdog@gmail.com>
To: 356207-close@bugs.debian.org
Subject: Bug#356207: fixed in maildirsync 1.2-1
Date: Wed, 31 Aug 2011 21:48:03 +0000
Source: maildirsync
Source-Version: 1.2-1

We believe that the bug you reported is fixed in the latest version of
maildirsync, which is due to be installed in the Debian FTP archive:

maildirsync_1.2-1.debian.tar.gz
  to main/m/maildirsync/maildirsync_1.2-1.debian.tar.gz
maildirsync_1.2-1.dsc
  to main/m/maildirsync/maildirsync_1.2-1.dsc
maildirsync_1.2-1_all.deb
  to main/m/maildirsync/maildirsync_1.2-1_all.deb
maildirsync_1.2.orig.tar.gz
  to main/m/maildirsync/maildirsync_1.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 356207@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Carlos Alberto Silombria Ibarra <silverdog@gmail.com> (supplier of updated maildirsync package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Aug 2011 10:31:03 -0430
Source: maildirsync
Binary: maildirsync
Architecture: source all
Version: 1.2-1
Distribution: unstable
Urgency: low
Maintainer: Carlos Alberto Silombria Ibarra <silverdog@gmail.com>
Changed-By: Carlos Alberto Silombria Ibarra <silverdog@gmail.com>
Description: 
 maildirsync - simple and efficient Maildir synchronisation utility
Closes: 356207 379091 440364 529670 615237 626126
Changes: 
 maildirsync (1.2-1) unstable; urgency=low
 .
   * New Maintainer Update. (Closes: #529670).
   * Fixed: Failed to sync some mails. (Closes: #356207).
   * Fixed: UNIVERSAL->import is deprecated. (Closes: #626126).
   * Fixed: Homepage field in debian/control. (Closes: #615237).
   * Fixed: Check first if state/backup dir exists. (Closes: #379091).
   * Fixed: Use of uninitialized value. (Closes: #440364).
   * Bump Standard-Version 3.9.2.
   * Bump debian/compat to 7.
   * Change URL homepage.
Checksums-Sha1: 
 6758e27f100cc59664340502e8208c9802de76b5 1020 maildirsync_1.2-1.dsc
 ad8f4a6c5d49ed66c149f4d1137852cf23bb9913 18077 maildirsync_1.2.orig.tar.gz
 8354c69d947ba2ab62a47ffae97495887ff1e70f 3082 maildirsync_1.2-1.debian.tar.gz
 97d387d32de8aa51a4ace7d6faf3ca54634b76c9 23722 maildirsync_1.2-1_all.deb
Checksums-Sha256: 
 ca2c3f6409e792747e6a3e7648f9945b19e3fd8a2ea70713440421dc8756d1e3 1020 maildirsync_1.2-1.dsc
 0cf81df1b0cb0f531bc69bd09a3ab9b5e88f572163c9ce5cdf3cd98d2ff0027f 18077 maildirsync_1.2.orig.tar.gz
 3b1bf57bd8fab594b0d92b08d18998cbba627fe6d8f066afc524d2736ad0d5a4 3082 maildirsync_1.2-1.debian.tar.gz
 d258d6dffbaea398e057ec357d50c0f12bc53168cacedb5381fc94703a760fa6 23722 maildirsync_1.2-1_all.deb
Files: 
 2a45b8ef722789362af03ea95b37aeea 1020 mail optional maildirsync_1.2-1.dsc
 02b70cfb94c0086d663d5e7d20de38bc 18077 mail optional maildirsync_1.2.orig.tar.gz
 2eea9fb71db05b09940406ce418be836 3082 mail optional maildirsync_1.2-1.debian.tar.gz
 ca04d6a8e6bf117fff4a4a9ad5ae4cfe 23722 mail optional maildirsync_1.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5ept0ACgkQMOtAOxJwKfF82ACfUY8iOsXGynVNjQ2QHsEqk/zU
UIkAn2DUC+Sijtw5t27ur661om+/1AMZ
=FsvV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Oct 2011 07:32:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:59:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.